package nl.niels.lostadventure;

import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.SpriteSheet;

public class Img {
    //Blocks
    public static Image spritesheet = null;
    public static SpriteSheet blocks;

    public static void imageInit() throws SlickException
    {
        spritesheet = new Image("nl/niels/lostadventure/resources/texturepack.png");
        blocks = new SpriteSheet(spritesheet,16,16);
    }
    
    public static Image getBlock(int id) {
        int sw = 8;
        int sh = 8;
        if(id > sw*sh) {
            LostAdventure.client.setErrorMsg("ERROR: Block id out of bounds");
            LostAdventure.client.setError(true);
        }
        int r = (int) Math.floor((id-1)/8);
        int y = r;
        int x = (id-(r*sw))-1;
        System.out.println(x + " x|y " + y);
        return blocks.getSprite(x, y);
    }
}
