package nl.niels.lostadventure;


import javax.swing.JOptionPane;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Input;
import org.newdawn.slick.SlickException;

public class LostAdventure extends BasicGame {
    static String version = "A0.1.0";
    public static Client client;
    public static Input input;
    public static int screenwidth = 800;
    public static int screenheight = 600;

    public LostAdventure() {
        super("Lost Adventure " + version);
    }

    @Override
    public void init(GameContainer gc) throws SlickException {
        Img.imageInit();
        client = new Client();
    }

    int time, tell;
    
    @Override
    public void update(GameContainer gc, int delta) throws SlickException {
        //TICK
        time += delta;
        if(time/50 == 1) {        
            time = 0;
        }
        input = gc.getInput();
        if(input.isKeyPressed(Input.KEY_T)) {
            String text = JOptionPane.showInputDialog("Text: ");
            System.out.println(text);
            client.getChat().addLine(text, true, true);
        }
        client.update(input);
    }

    @Override
    public void render(GameContainer gc, Graphics g) throws SlickException {
        client.draw(g, gc);
    }

    public static void main(String[] args) throws SlickException {
        AppGameContainer app = new AppGameContainer(new LostAdventure());
        app.setDisplayMode(screenwidth, screenheight, false);
        app.setShowFPS(false);
        app.start();
    }
}
